BOOKSHELF-LISTALLFONTS(1)

NAME
bookshelf-listallfonts - list all fonts known to LuaTeX with "interesting" features

SYNOPSIS
bookshelf-listallfonts [-d] [-f FEATURES_FILE] [-x EXCLUDED_PATTERNS_FILE]

bookshelf-listallfonts -h

bookshelf-listallfonts -v

bookshelf-listallfonts -m

DESCRIPTION
List all fonts known to LuaTeX adding "interesting" features to the listing.

The script queries luaotfload databases and outputs the list of fonts and features as a tab-separated stream with two field: font name+feature name, and LuaTeX loading command. This form is suitable for mkfontsel.pl(1) command from the bookshelf package.

We always include default features, "+clig;+liga;+tlig".

It is recommended to issue

    luaotfload-tool --update --force

before running the script.

OPTIONS

-d  Print debug information on the standard output.

-f FEATURES_FILE
    Use patterns in the FEATURES file instead of the default ones.

-x EXCLUDED_PATTERNS_FILE
    Exclude patterns (font paths and features or combinations) listed in EXCLUDED_PATTERNS_FILE.

-v  Print version information

-h  Print usage information

-m  Print manual page

AUTHOR
Boris Veytsman, 2024

LICENSE
LPPL 1.3c